Subject: bug#31414: 25.3; Semantic with python: Error with semantic-idle-completions-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Nov 2020 14:27:23 +0100

[email-masked] (Sébastien Gendre) writes:

> If I enable Semantic and 'semantic-idle-completions-mode', I get an
> error when the idle cempletion is done.
>
> The error message are:
> Bug Showing Completions: (args-out-of-range #<buffer test.py> 269 270)
>
> Tested with 'emacs -q'.
>
> How to reproduce:
> - Start Emacs ('emacs -q') and open a Python file
> - Enable Semantic and 'semantic-idle-completions-mode'
> - Start to write somthing Semantic can complete
> - Wait
> - You get an error on the mini-buffer

(This bug report unfortunately got no response at the time.)

Could you give a precise recipe to reproduce this bug, starting from
"emacs -Q"?  In particular, could you include an example Python file
that displays this problem, and how you enabled Semantic?

I tried reproducing the problem and failed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no